<?php
include("../param.inc");
include("repo.inc");
// #ステップ１ - ライブラリインクルード
if (file_exists("../../geshi/geshi.php"))
   include("../../geshi/geshi.php");
else
   $language = "txt";
?>
<html lang="ja">
<head>
<meta http-equiv="Content-Type" Content="text/html;charset=UTF-8">
<title>ソースの表示</title>
</head>
<body>

<?php
$tmp = file_get_contents($_GET['file']);
$source = to_euc($tmp);
if ($language == "txt") { // 言語設定がプレーンテキストなら
   print "<pre>\n";
   print $source;
   print "</pre>\n";
} else {
   // #ステップ２ - GeSHiインスタンス生成
   // $language = "C";
   $geshi = new GeSHi($source, $language);
   // 行番号表示
   $geshi->enable_line_numbers(GESHI_NORMAL_LINE_NUMBERS);
   // 複数行コメントをイタリックにしないようにした
   $geshi->set_comments_style('MULTI', 'display: hidden;');
   // 1行コメントをイタリックにしないようにした
   //$geshi->set_comments_style(1, 'display: hidden;');
   // #ステップ３ - 変換実行
   $result = $geshi->parse_code();
   echo $result;
}
?>
</body>
</html>
