<?php
include("../param.inc");
include("repo.inc");

// #ステップ１ - ライブラリインクルード
if (file_exists("../../geshi/geshi.php"))
   include("../../geshi/geshi.php");
else   // GeSHiがなければテキストとして表示
   $language = "txt";

?>
<html lang="ja">
<head>
<meta http-equiv="Content-Type" Content="text/html;charset=UTF-8">
<title>ソースの表示</title>
</head>
<body>

<?php
$uid = $_GET['uid'];       // ユーザID
$curPath = $_GET['path'];  // レポートファイルのパス
$source = "";   // 全レポートの内容
$d=dir($curPath);
$filelist = array();  // ファイルリスト
while($entry=$d->read()){
	if ($entry!="." && $entry!=".."){
		$id = mb_substr($entry, 0, $IDlength); // strlen($_SESSION['id']));   user id
		$strTmp=$curPath."/".$entry;
		$aryInfo=pathinfo($strTmp);
		if (!is_dir($strTmp) && ($entry != "index.html")) {    // ディレクトリかindex.htmlでなければ
			if ($id == $uid) $filelist[]=$strTmp;// ユーザのファイルなら
		}
	}
}
$d->close();
sort($filelist); // ファイル名でソート
for($i=0; $i < count($filelist); $i++)
  $source = $source . "================================================\n" . to_euc(file_get_contents($filelist[$i]));

if ($language == "txt") { // 言語設定がプレーンテキストなら
   print "<pre>\n";
   print $source;
   print "</pre>\n";
} else {
   // #ステップ２ - GeSHiインスタンス生成
   // $language = "C";
   $geshi = new GeSHi($source, $language);
   // 行番号表示
   $geshi->enable_line_numbers(GESHI_NORMAL_LINE_NUMBERS);
   // 複数行コメントをイタリックにしないようにした
   $geshi->set_comments_style('MULTI', 'display: hidden;');
   // 1行コメントをイタリックにしないようにした
   //$geshi->set_comments_style(1, 'display: hidden;');
   // #ステップ３ - 変換実行
   $result = $geshi->parse_code();
   echo $result;
}
?>
</body>
</html>
